Subject: Re: bug#57350: 29.0.50; dired and filenames containing newlines

From: Gregory Heytings <[email-masked]>
Date: Wed, 31 Aug 2022 12:32:02 +0000

>
> A lot of coding.  The --dired option tells Emacs where the file name 
> begins and ends, but it does nothing to remove the literal newline 
> character in the Dired buffer that breaks the file name entry into two 
> (or more) lines.
>

Is this not an enhancement that we could ask in ls, I mean, escaping only 
newlines with \n and backslashed with \\ (instead of all non-graphic 
characters as --escape does)?  I guess the --dired option is only used by 
Emacs, so this should be a safe change.